"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshHeadphones = exports.getHeadphones = void 0;
var node_hid_1 = __importDefault(require("node-hid"));
var find_headphones_1 = __importDefault(require("./use_cases/find_headphones"));
var gateway_1 = __importDefault(require("./adapters/human_interface_device/gateway"));
var device_1 = __importDefault(require("./adapters/human_interface_device/device"));
var build_simple_headphones_1 = __importDefault(require("./use_cases/build_simple_headphones"));
var refresh_info_1 = __importDefault(require("./use_cases/refresh_info"));
var filter_known_headphones_1 = __importDefault(require("./use_cases/filter_known_headphones"));
function getHeadphones() {
    var gateway = new gateway_1.default(node_hid_1.default, device_1.default);
    var findHeadphonesUseCase = new find_headphones_1.default(gateway);
    var buildUseCase = new build_simple_headphones_1.default();
    return buildUseCase.execute(findHeadphonesUseCase.execute());
}
exports.getHeadphones = getHeadphones;
function refreshHeadphones(simpleHeadphones) {
    var gateway = new gateway_1.default(node_hid_1.default, device_1.default);
    var filterToKnownHeadphones = new filter_known_headphones_1.default();
    var useCase = new refresh_info_1.default(gateway, filterToKnownHeadphones);
    return useCase.execute(simpleHeadphones);
}
exports.refreshHeadphones = refreshHeadphones;
